Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenNavigatorChildReferenceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenNavigatorChildReferenceImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenNavigatorChildReference

    public class GenNavigatorChildReferenceImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenNavigatorChildReference

An implementation of the model object 'Gen Navigator Child Reference'.

The following features are implemented:

- `Navigator`
- `Parent`
- `Child`
- `Reference Type`
- `Group Name`
- `Group Icon`
- `Hide If Empty`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected GenCommonBase` `child` The cached value of the '`Child`' reference
`protected static java.lang.String` `GROUP_ICON_EDEFAULT` The default value of the '`Group Icon`' attribute
`protected static java.lang.String` `GROUP_NAME_EDEFAULT` The default value of the '`Group Name`' attribute
`protected java.lang.String` `groupIcon` The cached value of the '`Group Icon`' attribute
`protected java.lang.String` `groupName` The cached value of the '`Group Name`' attribute
`protected static boolean` `HIDE_IF_EMPTY_EDEFAULT` The default value of the '`Hide If Empty`' attribute
`protected boolean` `hideIfEmpty` The cached value of the '`Hide If Empty`' attribute
`protected GenCommonBase` `parent` The cached value of the '`Parent`' reference
`protected static GenNavigatorReferenceType` `REFERENCE_TYPE_EDEFAULT` The default value of the '`Reference Type`' attribute
`protected GenNavigatorReferenceType` `referenceType` The cached value of the '`Reference Type`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenNavigatorChildReferenceImpl()`

Method Summary
`GenCommonBase` `basicGetChild()`
`GenCommonBase` `basicGetParent()`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<GenNavigatorPath>` `findConnectionPaths()`
`GenCommonBase` `getChild()`
`java.lang.String` `getGroupIcon()`
`java.lang.String` `getGroupName()`
`GenNavigator` `getNavigator()`
`GenCommonBase` `getParent()`
`GenNavigatorReferenceType` `getReferenceType()`
`boolean` `isHideIfEmpty()`
`boolean` `isInsideGroup()`
`void` `setChild(GenCommonBase newChild)`
`void` `setGroupIcon(java.lang.String newGroupIcon)` Sets the value of the '`Group Icon`' attribute
`void` `setGroupIconGen(java.lang.String newGroupIcon)`
`void` `setGroupName(java.lang.String newGroupName)` Sets the value of the '`Group Name`' attribute
`void` `setGroupNameGen(java.lang.String newGroupName)`
`void` `setHideIfEmpty(boolean newHideIfEmpty)`
`void` `setParent(GenCommonBase newParent)`
`void` `setReferenceType(GenNavigatorReferenceType newReferenceType)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### parent

    protected GenCommonBase parent

  The cached value of the '`Parent`' reference.

  See Also:
    `getParent()`
  ** Generated **
  Ordered:

### child

    protected GenCommonBase child

  The cached value of the '`Child`' reference.

  See Also:
    `getChild()`
  ** Generated **
  Ordered:

### REFERENCE_TYPE_EDEFAULT

    protected static final GenNavigatorReferenceType REFERENCE_TYPE_EDEFAULT

  The default value of the '`Reference Type`' attribute.

  See Also:
    `getReferenceType()`
  ** Generated **
  Ordered:

### referenceType

    protected GenNavigatorReferenceType referenceType

  The cached value of the '`Reference Type`' attribute.

  See Also:
    `getReferenceType()`
  ** Generated **
  Ordered:

### GROUP_NAME_EDEFAULT

    protected static final java.lang.String GROUP_NAME_EDEFAULT

  The default value of the '`Group Name`' attribute.

  See Also:
    `getGroupName()`
  ** Generated **
  Ordered:

### groupName

    protected java.lang.String groupName

  The cached value of the '`Group Name`' attribute.

  See Also:
    `getGroupName()`
  ** Generated **
  Ordered:

### GROUP_ICON_EDEFAULT

    protected static final java.lang.String GROUP_ICON_EDEFAULT

  The default value of the '`Group Icon`' attribute.

  See Also:
    `getGroupIcon()`
  ** Generated **
  Ordered:

### groupIcon

    protected java.lang.String groupIcon

  The cached value of the '`Group Icon`' attribute.

  See Also:
    `getGroupIcon()`
  ** Generated **
  Ordered:

### HIDE_IF_EMPTY_EDEFAULT

    protected static final boolean HIDE_IF_EMPTY_EDEFAULT

  The default value of the '`Hide If Empty`' attribute.

  See Also:
    `isHideIfEmpty()`, Constant Field Values
  ** Generated **
  Ordered:

### hideIfEmpty

    protected boolean hideIfEmpty

  The cached value of the '`Hide If Empty`' attribute.

  See Also:
    `isHideIfEmpty()`
  ** Generated **
  Ordered:

Constructor Detail

### GenNavigatorChildReferenceImpl

    protected GenNavigatorChildReferenceImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getNavigator

    public GenNavigator getNavigator()

  Specified by:
    `getNavigator` in interface `GenNavigatorChildReference`
  Returns:
    the value of the 'Navigator' container reference.
  See Also:
    `GMFGenPackage.getGenNavigatorChildReference_Navigator()`, `GenNavigator.getChildReferences()`
  ** Generated **

### getParent

    public GenCommonBase getParent()

  Specified by:
    `getParent` in interface `GenNavigatorChildReference`
  Returns:
    the value of the 'Parent' reference.
  See Also:
    `GenNavigatorChildReference.setParent(GenCommonBase)`, `GMFGenPackage.getGenNavigatorChildReference_Parent()`
  ** Generated **

### basicGetParent

    public GenCommonBase basicGetParent()

  ** Generated **

### setParent

    public void setParent(GenCommonBase newParent)

  Specified by:
    `setParent` in interface `GenNavigatorChildReference`
  Parameters:
    `newParent` - the new value of the 'Parent' reference.
  See Also:
    `GenNavigatorChildReference.getParent()`
  ** Generated **

### getChild

    public GenCommonBase getChild()

  Specified by:
    `getChild` in interface `GenNavigatorChildReference`
  Returns:
    the value of the 'Child' reference.
  See Also:
    `GenNavigatorChildReference.setChild(GenCommonBase)`, `GMFGenPackage.getGenNavigatorChildReference_Child()`
  ** Generated **

### basicGetChild

    public GenCommonBase basicGetChild()

  ** Generated **

### setChild

    public void setChild(GenCommonBase newChild)

  Specified by:
    `setChild` in interface `GenNavigatorChildReference`
  Parameters:
    `newChild` - the new value of the 'Child' reference.
  See Also:
    `GenNavigatorChildReference.getChild()`
  ** Generated **

### getReferenceType

    public GenNavigatorReferenceType getReferenceType()

  Specified by:
    `getReferenceType` in interface `GenNavigatorChildReference`
  Returns:
    the value of the 'Reference Type' attribute.
  See Also:
    `GenNavigatorReferenceType`, `GenNavigatorChildReference.setReferenceType(GenNavigatorReferenceType)`, `GMFGenPackage.getGenNavigatorChildReference_ReferenceType()`
  ** Generated **

### setReferenceType

    public void setReferenceType(GenNavigatorReferenceType newReferenceType)

  Specified by:
    `setReferenceType` in interface `GenNavigatorChildReference`
  Parameters:
    `newReferenceType` - the new value of the 'Reference Type' attribute.
  See Also:
    `GenNavigatorReferenceType`, `GenNavigatorChildReference.getReferenceType()`
  ** Generated **

### getGroupName

    public java.lang.String getGroupName()

  Specified by:
    `getGroupName` in interface `GenNavigatorChildReference`
  Returns:
    the value of the 'Group Name' attribute.
  See Also:
    `GenNavigatorChildReference.setGroupName(String)`, `GMFGenPackage.getGenNavigatorChildReference_GroupName()`
  ** Generated **

### setGroupNameGen

    public void setGroupNameGen(java.lang.String newGroupName)

  ** Generated **

### setGroupName

    public void setGroupName(java.lang.String newGroupName)

  Description copied from interface: `GenNavigatorChildReference`
  Sets the value of the '`Group Name`' attribute.

  Specified by:
    `setGroupName` in interface `GenNavigatorChildReference`
  Parameters:
    `newGroupName` - the new value of the 'Group Name' attribute.
  See Also:
    `GenNavigatorChildReference.getGroupName()`

### getGroupIcon

    public java.lang.String getGroupIcon()

  Specified by:
    `getGroupIcon` in interface `GenNavigatorChildReference`
  Returns:
    the value of the 'Group Icon' attribute.
  See Also:
    `GenNavigatorChildReference.setGroupIcon(String)`, `GMFGenPackage.getGenNavigatorChildReference_GroupIcon()`
  ** Generated **

### setGroupIconGen

    public void setGroupIconGen(java.lang.String newGroupIcon)

  ** Generated **

### setGroupIcon

    public void setGroupIcon(java.lang.String newGroupIcon)

  Description copied from interface: `GenNavigatorChildReference`
  Sets the value of the '`Group Icon`' attribute.

  Specified by:
    `setGroupIcon` in interface `GenNavigatorChildReference`
  Parameters:
    `newGroupIcon` - the new value of the 'Group Icon' attribute.
  See Also:
    `GenNavigatorChildReference.getGroupIcon()`

### isHideIfEmpty

    public boolean isHideIfEmpty()

  Specified by:
    `isHideIfEmpty` in interface `GenNavigatorChildReference`
  Returns:
    the value of the 'Hide If Empty' attribute.
  See Also:
    `GenNavigatorChildReference.setHideIfEmpty(boolean)`, `GMFGenPackage.getGenNavigatorChildReference_HideIfEmpty()`
  ** Generated **

### setHideIfEmpty

    public void setHideIfEmpty(boolean newHideIfEmpty)

  Specified by:
    `setHideIfEmpty` in interface `GenNavigatorChildReference`
  Parameters:
    `newHideIfEmpty` - the new value of the 'Hide If Empty' attribute.
  See Also:
    `GenNavigatorChildReference.isHideIfEmpty()`
  ** Generated **

### isInsideGroup

    public boolean isInsideGroup()

  Specified by:
    `isInsideGroup` in interface `GenNavigatorChildReference`
  ** Generated **
    NOT

### findConnectionPaths

    public org.eclipse.emf.common.util.EList<GenNavigatorPath> findConnectionPaths()

  Specified by:
    `findConnectionPaths` in interface `GenNavigatorChildReference`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.